#ifndef   V_PARSE_H
#define   V_PARSE_H

typedef struct	parser_s
{
  i32_t			tos;
  i32_t			unget;
  char_p		token_buffer;
  char_p		token_ptr;
  char			delim[MAX_DELIMITERS];
  char			token[MAX_TOKENSIZE];
  char_p		posstack[MAX_TOKENPOSSTACK];
}	parser_t, *parser_p;

#ifdef  __cplusplus
extern  "C" {
#endif	/* __cplusplus */
	/* Returns malloc()'ed block, buffer NOT copied into block */
    parser_p	V_GLOBAL	tokStart(char *buffer,char *delim);
	/* Returns malloc()'ed block, entire file copied into block */
    parser_p	V_GLOBAL	tokStartFile(char *filename,char *delim);
    void		V_GLOBAL	tokRestart(parser_p tok);
    i32_t		V_GLOBAL	tokPush(parser_p tok);
    i32_t		V_GLOBAL	tokPop(parser_p tok);
    void		V_GLOBAL	tokDelim(parser_p tok,char *delim);
	/*	Returns either string inside 'buffer' (if created  with
	 *	tokStart() ), or string inside 'tok' (if created  with
	 *	tokStartFile() )
	 */
    char_p		V_GLOBAL	tokNext(parser_p tok);
    /*	See note for tokNext() */
    char_p		V_GLOBAL	tokString(parser_p tok);
    /*	See note for tokNext() */
    char_p		V_GLOBAL	tokLast(parser_p tok);
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* V_PARSE_H */
