#ifndef V_TIME_H
#define V_TIME_H

/*
 *	Waitable timer
 */
typedef	struct	timer_s
{
	vboolean	active;
	u32_t		time_start;
}	timer_t, *timer_p;

#ifdef	__cplusplus
extern "C" {
#endif	/* __cplusplus */
	/*
	 *	THIS STUFF IS OBSOLETE - use timers.
	void	V_GLOBAL	timeStart();
	void	V_GLOBAL	timeStop();
	u32_t	V_GLOBAL	timeMilliseconds();
	 */
	void	V_GLOBAL	timeDelay(u32_t Milliseconds);
	
	void	V_GLOBAL	timerStart(timer_t *timer);
	void	V_GLOBAL	timerStop(timer_t *timer);
	u32_t	V_GLOBAL	timerMilliseconds(timer_t *timer);
	void	V_GLOBAL	timerWait(timer_t *timer,u32_t return_time);
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_TIME_H */
